#
# spec file for package xwud
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xwud
Version:        1.0.5
Release:        lp152.3.6
Summary:        Image displayer for X
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xwud allows X users to display in a window an image saved in a
specially formatted dump file, such as produced by xwd.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xwud
%{_mandir}/man1/xwud.1%{?ext_man}

%changelog
* Thu Apr  5 2018 sndirsch@suse.com
- Update to version 1.0.5
  * autogen.sh changes
  * configure: Drop AM_MAINTAINER_MODE
  * Mark Error() argument as const char *
  * Print which option was in error along with usage message
  * Add -version option to print program version
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.4:
  + Replace malloc(strlen) + strcpy() with strdup().
  + Man page fixes.
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: new upstream dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xwud from xorg-x11. Initial version: 1.0.3.
